new Docute({
  target: "app",
  router: {
    mode: "history",
  },

  // Overrides for all languages
  overrides: {
    "/v0.2/": {
      sourcePath: "https://itsblue.dev/ScStw/app/raw/0.1",
    },
    "/": {
      // Define some general stuff
      title: "ScStw - Dokumentation",
      language: "Deutsch",
      sourcePath: "/de",

      // Define the sidebar
      sidebar: [
        {
          title: "Einleitung",
          children: [
            {
              title: "Über die ScStw",
              link: "/",
            },
            {
              title: "Komponenten",
              link: "/introduction/components",
            },
          ],
        },
        {
          title: "Benutzung",
          children: [
            {
              title: "Grundlagen",
              link: "/usage/basics",
            },
            {
              title: "Konfiguration des Rennens",
              link: "/usage/race-configuration",
            },
          ],
        },
      ],

      // Define footer
      footer: `
      <div style="border-top:1px solid var(--border-color);padding-top:0px;margin: 0px 0;color:#999999;font-size: .9rem;">
      Hinweis zum Sprachgebrauch: Aus Gründen der besseren Lesbarkeit wird auf die Verwendung der männlichen und weiblichen Sprachform verzichtet. Sämtliche Personenbezeichnungen gelten für alle Geschlechter. <br><br>
      Sie haben weitere Fragen? Wenden sie sich gerne <a href="https://itsblue.de/contact" target="blank">über unsere Webseite</a> oder per Mail an <a href="mailto:contact@itsblue.de">contact@itsblue.de</a> an uns.<br>
      &copy; ${new Date().getFullYear()} Itsblue Development.
      </div>
      `,
    },
  },
  detectSystemDarkTheme: true,
  darkThemeToggler: true,
  footer: `
    <div style="border-top:1px solid var(--border-color);padding-top:0px;margin: 0px 0;color:#999999;font-size: .9rem;">
    Want more information? Feel free to contact us <a href="https://itsblue.de/contact" target="blank">on our website</a> or at <a href="mailto:contact@itsblue.de">contact@itsblue.de</a>.<br>
    &copy; ${new Date().getFullYear()} Itsblue Development.
    </div>
    `,
});
